/*
 * Copyright 2014-2015 ISP RAS (http://www.ispras.ru)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */

package ru.ispras.testbase;

import static ru.ispras.fortress.util.InvariantChecks.checkNotNull;

import java.util.Map;
import ru.ispras.fortress.expression.Node;

public final class TestData {
  private final Map<String, Node> bindings;

  public TestData(Map<String, Node> bindings) {
    checkNotNull(bindings);
    this.bindings = bindings;
  }

  public Map<String, Node> getBindings() {
    return bindings;
  }

  @Override
  public String toString() {
    return String.format("TestData [bindings=%s]", bindings);
  }
}
